mlpack_hmm_loglik(1)

NAME
mlpack_hmm_loglik - hidden markov model (hmm) sequence log-likelihood

SYNOPSIS
 mlpack_hmm_loglik -i unknown -m unknown [-V bool] [--log_likelihood double] [-h -v]

DESCRIPTION
This utility takes an already-trained HMM, specified with the ’--input_model_file (-m)' parameter, and evaluates the log-likelihood of a sequence of observations, given with the '--input_file (-i)' parameter. The computed log-likelihood is given as output.

For example, to compute the log-likelihood of the sequence 'seq.csv' with the pre-trained HMM 'hmm.bin', the following command may be used:

$ mlpack_hmm_loglik --input_file seq.csv --input_model_file hmm.bin

REQUIRED INPUT OPTIONS

--input_file (-i) [unknown]
    File containing observations,

--input_model_file (-m) [unknown]
    File containing HMM.

OPTIONAL INPUT OPTIONS

--help (-h) [bool]
    Default help info.

--info [string]
    Print help on a specific option. Default value ''.

--verbose (-v) [bool]
    Display informational messages and the full list of parameters and timers at the end of execution.

--version (-V) [bool]
    Display the version of mlpack.

OPTIONAL OUTPUT OPTIONS

--log_likelihood [double]
    Log-likelihood of the sequence. Default value 0.nnADDITIONAL INFORMATIONNN FOR FURTHER INFORMATION, INCLUDING RELEVANT PAPERS, CITATIONS, AND THEORY, consult the documentation found at http://www.mlpack.org or included with your distribution of mlpack.